Ludeon Forums

Ludeon Forums

  • March 03, 2021, 09:35:43 AM
  • Welcome, Guest
Please login or register.

Login with username, password and session length
Advanced search  

Author Topic: [Vanilla Factions Expanded - Vikings] Crypto weapons fail to load (1.2)  (Read 358 times)

Grillbye

  • Drifter
  • **
  • Posts: 66
  • Psychopath Cannibal
    • View Profile

Hello! I've got a savefile entirely made with medieval and viking mods. It used to work fine, but since I've gotten 2 crypto weapons and 2 crypto armor pieces and that I loaded Rimworld today, I'm getting errors out of nowhere. At the loading specifically ; I first noticed all of those I quoted had disappeared from my pawns, so I checked the logs and I get errors regarding crypto weapons/armors right at the loading of that savefile. https://gist.github.com/HugsLibRecordKeeper/346eff3d125e821b935be168c48906ea is the error logs ; the errors I am talking about start at line 3160 (the others aren't significant). Never did that before.

What's causing the issue? The mod is at the right version, so is my Rimworld.
Logged
Prisoners? Don't wanna keep them? Eat them! ALL of them.

Pheanox

  • Global Moderator
  • Colonist
  • ****
  • Posts: 623
  • Refugee
    • View Profile
Re: [Vanilla Factions Expanded - Vikings] Crypto weapons fail to load (1.2)
« Reply #1 on: December 16, 2020, 10:04:40 AM »

I have moved your post to the correct forum, the initial forum you posted on is for vanilla RimWorld bugs.
Logged

Grillbye

  • Drifter
  • **
  • Posts: 66
  • Psychopath Cannibal
    • View Profile
Re: [Vanilla Factions Expanded - Vikings] Crypto weapons fail to load (1.2)
« Reply #2 on: December 16, 2020, 10:06:19 AM »

Oh woops, thank you!
Logged
Prisoners? Don't wanna keep them? Eat them! ALL of them.

Canute

  • Transcendent
  • *****
  • Posts: 9815
  • Refugee
    • View Profile
Re: [Vanilla Factions Expanded - Vikings] Crypto weapons fail to load (1.2)
« Reply #3 on: December 16, 2020, 10:20:33 AM »

Hi,
the log show you use RimWorld 1.2.2753, the latest stable version.
But i just notice at last you use one mod (Medieval World (No Guns/Low Tech))  which is made for B18 and not for 1.2
So you should check your other mods too, if they are all for 1.2

But you have so many targeteversion/suported version error's i think you should either delete these mod's that give the error and reinstall them. At last jecstools don't give any error's at my side.

Then you should take care about all the other error's after rimworld start before you even load a safegame.
Better don't use mod's that give errors. They don't work correct anyway or you miss some features.
Disable all mods, then activate at small batches.
At this way you notice early when a mod throw out errors. Sometimes it is just because you miss to load a required mod before.
Don't use mod's that are made for 1.0 only or older version. Many 1.1 mods can be used at 1.2, but you should check the mod discussion first.

But i fear if you clear up that mess, your safegame no longer load/playable.

Logged

Grillbye

  • Drifter
  • **
  • Posts: 66
  • Psychopath Cannibal
    • View Profile
Re: [Vanilla Factions Expanded - Vikings] Crypto weapons fail to load (1.2)
« Reply #4 on: December 16, 2020, 10:54:38 AM »

Yes, I couldn't find that mod in 1.2 unfortunately - I know all the others are 1.2, though. Thing is, as you said, if I delete those mods that create errors then my savefile will be unplayable. So I suppose I just have to get rid of this savefile entirely (as well as the mods) and make a new savefile? :/
Logged
Prisoners? Don't wanna keep them? Eat them! ALL of them.

Canute

  • Transcendent
  • *****
  • Posts: 9815
  • Refugee
    • View Profile
Re: [Vanilla Factions Expanded - Vikings] Crypto weapons fail to load (1.2)
« Reply #5 on: December 16, 2020, 11:09:07 AM »

The problem is, as player you only can be sure no error's are before you start a colony.
Once you are playing and an error happen you need to life with it.
It is hard to impossible for the most people to identify the mod or mods which cause the problem.
Mosttimes removing a mod from a safegame isn't a good choise anyway and break it.

Cleanup your modlist, that you don't have error's after activation.
Sometimes that can be a frustration task.
As alternate for the Medieval World (No Guns/Low Tech) you maybe should look at this
https://steamcommunity.com/sharedfiles/filedetails/?id=2238859064
Logged